Home

Starts a catchpoint catchup.

POST
https://algo.nownodes.io/v2/blocks/{round}/txids

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Given a catchpoint, it starts catching up to this catchpoint

Parameters

catchpointstring<catchpoint>requiredpath

A catch point

minintegerquery

Specify the minimum number of blocks which the ledger must be advanced by in order to start the catchup. This is useful for simplifying tools which support fast catchup, they can run the catchup unconditionally and the node will skip the catchup if it is not needed.

Response

200OK

An catchpoint start response.

201Created

An catchpoint start response.

400Bad Request

Bad Request

401Unauthorized

Invalid API Token

408Request Timeout

Request Timeout

500Internal Server Error

Internal Error

default

Unknown Error